# Generated by Django 3.2.13 on 2022-04-25 14:28

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0032_estadosterritoriosorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_cadastrosterritoriosorganizacao;
            CREATE OR REPLACE VIEW relatorios_cadastrosterritoriosorganizacao AS
            WITH data AS (
                SELECT EXTRACT(EPOCH FROM date_trunc('day', criacao)) AS dia,
                       count(1)                                       AS ct,
                                       organizacao_id
                FROM main_territorio
                WHERE
                    deleted IS NULL AND
                    teste is false
                GROUP BY organizacao_id, 1
            )
            SELECT row_number() OVER ()                                                             AS id,
                   dia,
                   sum(ct) OVER (ORDER BY dia ASC ROWS BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW) AS qtd_territorios,
                                   organizacao_id
            FROM data;
            """),
    ]
